VERSION 5.00
Begin VB.Form frmPop 
   Caption         =   "Popup Menu"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.Menu mnuPopup 
      Caption         =   "Popup"
      Visible         =   0   'False
      Begin VB.Menu mnuStartOver 
         Caption         =   "Rewind && Play"
      End
      Begin VB.Menu mnuPlay 
         Caption         =   "Play"
      End
      Begin VB.Menu mnuPause 
         Caption         =   "Pause"
      End
      Begin VB.Menu mnuStop 
         Caption         =   "Stop"
      End
      Begin VB.Menu mnuSep 
         Caption         =   "-"
      End
      Begin VB.Menu mnuExit 
         Caption         =   "Exit"
      End
   End
End
Attribute VB_Name = "frmPop"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
'This form has been added to get a Popup Menu
'If you put it in the frmMain, there seems to be no way to not have a Title Bar.
Private Declare Function GetShortPathName Lib "kernel32" _
   Alias "GetShortPathNameA" (ByVal lpszLongPath As String, _
   ByVal lpszShortPath As String, ByVal cchBuffer As Long) _
   As Long
Private Declare Function mciSendString Lib "winmm.dll" Alias "mciSendStringA" (ByVal lpstrCommand As String, ByVal lpstrReturnString As String, ByVal uReturnLength As Long, ByVal hwndCallback As Long) As Long
Dim i As Long, RS As String, cb As Long, W$, sAns As String, lAns As Long, fName As String

Private Sub Form_Load()
    mnuPlay.Enabled = False
End Sub

Private Sub mnuExit_Click()
    Unload frmMain
    Unload Me
End Sub

Private Sub mnuPause_Click()
    On Error Resume Next
    RS = Space$(128)
    i = mciSendString("pause midi", RS, 128, cb)
    mnuPause.Enabled = False
    mnuPlay.Enabled = True
    mnuStop.Enabled = False
    frmMain.Timer1.Enabled = False
End Sub

Private Sub mnuPlay_Click()
    On Error Resume Next
    RS = Space$(128)
    i = mciSendString("play midi", RS, 128, cb)
    mnuPause.Enabled = True
    mnuPlay.Enabled = False
    mnuStop.Enabled = True
    frmMain.Timer1.Enabled = True
End Sub

Public Sub mnuStartOver_Click()
    On Error Resume Next
    frmMain.Timer1.Enabled = False
    RS = Space$(128)
    i = mciSendString("stop midi", RS, 128, cb)
    i = mciSendString("close midi", RS, 128, cb)
    RS = Space$(128)
    sAns = Space(255)
    fName = App.Path & "\temp.mid"
    lAns = GetShortPathName(fName, sAns, 255)
    W$ = Left(sAns, lAns)
    i = mciSendString("open sequencer!" & W$ & " alias midi", RS, 128, cb)
    If i Then MsgBox "Error! Probably file not found. Modify the code to record and play a .MID file on your system."
    i = mciSendString("play midi", RS, 128, cb)
    mnuPause.Enabled = True
    mnuPlay.Enabled = False
    mnuStop.Enabled = True
    frmMain.Timer1.Enabled = True
    
End Sub

Private Sub mnuStop_Click()
    On Error Resume Next
    RS = Space$(128)
    i = mciSendString("stop midi", RS, 128, cb)
    frmMain.Timer1.Enabled = False
    mnuPause.Enabled = False
    mnuPlay.Enabled = False
    mnuStop.Enabled = False
End Sub
