VERSION 5.00
Begin VB.Form frmMain 
   BorderStyle     =   0  'None
   Caption         =   "Form1"
   ClientHeight    =   6240
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   5160
   Icon            =   "band.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   6240
   ScaleWidth      =   5160
   ShowInTaskbar   =   0   'False
   StartUpPosition =   1  'CenterOwner
   Begin Band.TransParentCtl tp 
      Height          =   1095
      Left            =   120
      TabIndex        =   6
      ToolTipText     =   "Drag to Move; DoubleClick to Exit; RightClick for Options"
      Top             =   120
      Width           =   1335
      _ExtentX        =   2355
      _ExtentY        =   1931
      MaskColor       =   255
   End
   Begin VB.PictureBox Img 
      Height          =   735
      Index           =   5
      Left            =   1200
      Picture         =   "band.frx":1042
      ScaleHeight     =   675
      ScaleWidth      =   675
      TabIndex        =   5
      Top             =   2280
      Width           =   735
   End
   Begin VB.PictureBox Img 
      Height          =   735
      Index           =   4
      Left            =   360
      Picture         =   "band.frx":7AA2
      ScaleHeight     =   675
      ScaleWidth      =   675
      TabIndex        =   4
      Top             =   2280
      Width           =   735
   End
   Begin VB.PictureBox Img 
      Height          =   735
      Index           =   3
      Left            =   3000
      Picture         =   "band.frx":E4C3
      ScaleHeight     =   675
      ScaleWidth      =   675
      TabIndex        =   3
      Top             =   1320
      Width           =   735
   End
   Begin VB.PictureBox Img 
      Height          =   735
      Index           =   2
      Left            =   2040
      Picture         =   "band.frx":14F12
      ScaleHeight     =   675
      ScaleWidth      =   675
      TabIndex        =   2
      Top             =   1320
      Width           =   735
   End
   Begin VB.PictureBox Img 
      Height          =   735
      Index           =   1
      Left            =   1200
      Picture         =   "band.frx":1B917
      ScaleHeight     =   675
      ScaleWidth      =   675
      TabIndex        =   1
      Top             =   1320
      Width           =   735
   End
   Begin VB.PictureBox Img 
      AutoRedraw      =   -1  'True
      Height          =   765
      Index           =   0
      Left            =   240
      Picture         =   "band.frx":22378
      ScaleHeight     =   705
      ScaleWidth      =   675
      TabIndex        =   0
      Top             =   1320
      Width           =   735
   End
   Begin VB.Timer Timer1 
      Interval        =   1000
      Left            =   1920
      Top             =   480
   End
End
Attribute VB_Name = "frmMain"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Private Declare Function GetShortPathName Lib "kernel32" _
   Alias "GetShortPathNameA" (ByVal lpszLongPath As String, _
   ByVal lpszShortPath As String, ByVal cchBuffer As Long) _
   As Long
Private Declare Function mciSendString Lib "winmm.dll" Alias "mciSendStringA" (ByVal lpstrCommand As String, ByVal lpstrReturnString As String, ByVal uReturnLength As Long, ByVal hwndCallback As Long) As Long
Private Declare Function sndPlaySoundFromBuf Lib "winmm.dll" Alias "sndPlaySoundA" (lpszSoundName As Any, ByVal uFlags As Long) As Long
Private Declare Sub SetWindowPos Lib "User32" (ByVal hWnd As Long, ByVal hWndInsertAfter As Long, ByVal X As Long, ByVal Y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long)
Private Const HWND_TOPMOST = -1
Private Const HWND_NOTOPMOST = -2
Private Const SWP_NOACTIVATE = &H10
Private Const SWP_SHOWWINDOW = &H40

'For moving the form when user drags the band
Dim MbMov As Boolean
Dim PrevX As Long, PrevY As Long

Const SND_ASYNC = &H1
Const SND_SYNC = &H0      'Wait for sound to finish before playing next
Const SND_NODEFAULT = &H2 ' Don't use default sound
Const SND_MEMORY = &H4    ' play from memory instead of disk file


Private Sub Form_Load()
On Error GoTo errChk
    If App.PrevInstance = True Then
        Unload frmPop
        MsgBox "Program is already running. This instance will close."
        Unload Me
        Exit Sub
    End If
'===The res file has a wav and a mid file in it====
'=========play wav ========
    Dim SoundBuffer() As Byte, retVal
    SoundBuffer = LoadResData("critters", "CUSTOM")
    retVal = sndPlaySoundFromBuf(SoundBuffer(0), SND_SYNC Or SND_NODEFAULT Or SND_MEMORY)
    '========play midi=============
    Dim MidiBuffer() As Byte
    Dim i As Long, RS As String, cb As Long, W$, sAns As String, lAns As Long, fName As String
    MidiBuffer = LoadResData("song", "CUSTOM")
    '====Write temp.mid file
    Dim f
    If Dir$(App.Path & "\temp.mid") <> "" Then Kill (App.Path & "\temp.mid")
    f = FreeFile
    Open App.Path & "\temp.mid" For Binary As #f
        Put #f, , MidiBuffer
    Close #f
    
    '====Back to play midi=======
    RS = Space$(128)
    sAns = Space(255)
    fName = App.Path & "\temp.mid"
    lAns = GetShortPathName(fName, sAns, 255)
    W$ = Left(sAns, lAns)
    i = mciSendString("open sequencer!" & W$ & " alias midi", RS, 128, cb)
    If i Then MsgBox "Error! Probably temp.mid file not found."
    i = mciSendString("play midi", RS, 128, cb)

    '===Start Animation=====
    Set tp.MaskPicture = Img(0)
    Me.Show
    Timer1.Interval = 180
    'This will set the form on top of other forms
    'SetWindowPos Me.hWnd, HWND_TOPMOST, Me.Left / 15, _
                            Me.Top / 15, Me.Width / 15, _
                            Me.Height / 15, SWP_NOACTIVATE Or SWP_SHOWWINDOW
    Exit Sub
errChk: If Err.Number = 70 Then
            MsgBox "Some other App is using the file."
            End
        End If
End Sub

Private Sub Form_Paint()
   ' SetWindowPos Me.hWnd, HWND_TOPMOST, Me.Left / 15, _
                        Me.Top / 15, Me.Width / 15, _
                        Me.Height / 15, SWP_NOACTIVATE Or SWP_SHOWWINDOW
End Sub

Private Sub Form_Resize()
    tp.Move 0, 0
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Dim i As Long, RS As String, cb As Long
    On Error Resume Next
    RS = Space$(128)
    i = mciSendString("stop midi", RS, 128, cb)
    i = mciSendString("close midi", RS, 128, cb)
    Kill App.Path & "\temp.mid"
    Unload frmPop
End Sub

Public Sub Timer1_Timer()
    Static n
    Dim Ret
    If n = 6 Then n = 0
    Set tp.MaskPicture = Img(n)
    n = n + 1
    '====See if .mid file is through playing
        Dim i As Long, RS As String, cb As Long, s As Single
        RS = Space$(128)
        i = mciSendString("status midi length", RS, 128, cb)
        If Val(RS) Then
            s = Val(RS)
            i = mciSendString("status midi position", RS, 128, cb)
            s = Val(RS) / s
                If s = 1 Then 'through playing
                    Timer1.Enabled = False
                    i = mciSendString("stop midi", RS, 128, cb)
                    i = mciSendString("close midi", RS, 128, cb)
                    
                    frmPop.mnuPause.Enabled = False
                    frmPop.mnuStop.Enabled = False
                    Ret = MsgBox("That was 'The Critters' with their rendition of 'Five-Foot-Two'. Would you like to hear it again?", vbYesNo, "The Critters in Concert")
                        If Ret = vbYes Then
                            frmPop.mnuStartOver_Click
                        Else
                            Call tp_DblClick
                        End If
                    
                End If
        End If
End Sub

Private Sub tp_DblClick()
    Unload frmPop
    Unload frmMain
End Sub

Private Sub tp_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    If Button = vbRightButton Then
        PopupMenu frmPop.mnuPopup, vbPopupMenuCenterAlign
        Exit Sub
    End If
    MbMov = True
    PrevX = X
    PrevY = Y
End Sub

Private Sub tp_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
    'User is moving the band
    If MbMov Then Me.Move (Me.Left + X - PrevX), (Me.Top + Y - PrevY)
End Sub

Private Sub tp_MouseUp(Button As Integer, Shift As Integer, X As Single, Y As Single)
    'User stopped dragging the band
    MbMov = False
End Sub


